View Issue Details

IDProjectCategoryView StatusLast Update
0000416SOGoBackend Generalpublic2011-02-17 15:21
Reporteraschild Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.0 
Target Version1.3.6Fixed in Version1.3.6 
Summary0000416: sogo-tool backup does not work in multi domain environment
Description

In a multi domain setup, the sogo-tool does not find the configuration

Example:
/usr/sbin/sogo-tool backup /backup/sogo ALL

sogo-tool[2921] No LDAP source is configured in the SOGo configuration of this account. Please make sure to use this tool under the same username as SOGo.

Even a sogo-tool --help does give the very same error.
It does not matter if we run it as root or as the sogo user.

Additional Information

Version 1.2.0 (@vizzini.inverse.ca 201002121151) on Debian Lenny 64bit.

Tagssogo-tool

Relationships

has duplicate 0001001 resolvedludovic Sogo tools with multi domain support 

Activities

tippy2k

tippy2k

2010-07-28 00:30

reporter   ~0001253

Last edited: 2010-07-28 00:41

I am also having the same issue. It seems that sogo-tool cannot find SOGoUserSources inside of domains = { FQDN = {} }.

Workaround: create a .GNUstepDefaults file for every domain. Then use sogo-tool for each domain.

xbgmsharp

xbgmsharp

2010-11-22 08:49

reporter   ~0001880

Still the case using SOGo version 1.3.4 (build @vizzini.inverse.ca 201011171648) on Debian Lenny 32bit.

ludovic

ludovic

2011-02-17 15:21

administrator   ~0002126

Fixed :

http://mtn.inverse.ca/revision/diff/5b2bc8f17ae0dbc785abcc143ebf3cd49d100698/with/b0f0e0a5f736b92a629c7c421d50a5ae9f3f8c6e

Issue History

Date Modified Username Field Change
2010-02-15 12:06 aschild New Issue
2010-07-28 00:30 tippy2k Note Added: 0001253
2010-07-28 00:31 tippy2k Tag Attached: sogo-tool
2010-07-28 00:41 tippy2k Note Edited: 0001253
2010-11-22 07:11 ludovic Relationship added has duplicate 0001001
2010-11-22 08:49 xbgmsharp Note Added: 0001880
2011-02-16 14:31 ludovic Status new => assigned
2011-02-16 14:31 ludovic Assigned To => ludovic
2011-02-16 14:31 ludovic Target Version => 1.3.6
2011-02-17 15:21 ludovic Note Added: 0002126
2011-02-17 15:21 ludovic Status assigned => resolved
2011-02-17 15:21 ludovic Fixed in Version => 1.3.6
2011-02-17 15:21 ludovic Resolution open => fixed